### Method

# EBackend UserPrompterServer register

since: 3.8

#### Declaration [src]

    gboolean
    e_user_prompter_server_register (
      EUserPrompterServer* server,
      EExtension* extension,
      const gchar* dialog_name
    )

#### Description [src]

Registers `extension` as a provider of `dialog_name` dialog. The names are compared case sensitively and two extensions cannot provide the same dialog. If the function succeeds, then it adds its own reference on the `extension`.

Extensions providing multiple dialogs call this function multiple times, for each dialog name separately.

Available since: 3.8

#### Parameters

`extension`

  Type: `EExtension`

  An `EUserPrompterServerExtension` descendant.

  The data is owned by the caller of the method.

`dialog_name`

  Type: `const gchar*`

  Name of a dialog, which the `extensions` implement.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether properly registered `extension`.